gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Printing.PageSetup

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

Stores page setup information

- Module available since Gtk+ version 2.10

Synopsis

- data PageSetup
- class GObjectClass o => PageSetupClass o
- castToPageSetup :: GObjectClass obj => obj -> PageSetup
- toPageSetup :: PageSetupClass o => o -> PageSetup
- pageSetupNew :: IO PageSetup
- pageSetupNewFromFile :: String -> IO PageSetup
- pageSetupCopy :: PageSetupClass self => self -> IO PageSetup
- pageSetupGetTopMargin :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupSetTopMargin :: PageSetupClass self => self -> Double -> Unit -> IO ()
- pageSetupGetBottomMargin :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupSetBottomMargin :: PageSetupClass self => self -> Double -> Unit -> IO ()
- pageSetupGetLeftMargin :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupSetLeftMargin :: PageSetupClass self => self -> Double -> Unit -> IO ()
- pageSetupGetRightMargin :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupSetRightMargin :: PageSetupClass self => self -> Double -> Unit -> IO ()
- pageSetupSetPaperSizeAndDefaultMargins :: PageSetupClass self => self -> PaperSize -> IO ()
- pageSetupGetPaperWidth :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupGetPaperHeight :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupGetPageWidth :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupGetPageHeight :: PageSetupClass self => self -> Unit -> IO Double
- pageSetupLoadFile :: PageSetupClass self => self -> String -> IO Bool
- pageSetupToFile :: PageSetupClass self => self -> String -> IO Bool
- pageSetupOrientation :: PageSetupClass self => Attr self PageOrientation
- pageSetupPaperSize :: PageSetupClass self => Attr self PaperSize

# Detail

A `PageSetup` object stores the page size, orientation and margins. The idea is that you can get one of these from the page setup dialog and then pass it to the `PrintOperation` when printing. The benefit of splitting this out of the `PrintSettings` is that these affect the actual layout of the page, and thus need to be set long before user prints.

The margins specified in this object are the "print margins", i.e. the parts of the page that the printer cannot print on. These are different from the layout margins that a word processor uses; they are typically used to determine the minimal size for the layout margins.

To obtain a `PageSetup` use `pageSetupNew` to get the defaults, or use `printRunPageSetupDialog` to show the page setup dialog and receive the resulting page setup.

Printing support was added in Gtk+ 2.10.

# Class Hierarchy

     | GObject
     | +----PageSetup

# Types

data PageSetup

Instances

Eq PageSetup |
Ord PageSetup |
GObjectClass PageSetup |
PageSetupClass PageSetup |

class GObjectClass o => PageSetupClass o

Instances

PageSetupClass PageSetup |

castToPageSetup :: GObjectClass obj => obj -> PageSetup

toPageSetup :: PageSetupClass o => o -> PageSetup

# Constructors

pageSetupNew :: IO PageSetup

Creates a new `PageSetup`.

pageSetupNewFromFile

Arguments

:: String | `fileName` - the filename to read the page setup from
-> IO PageSetup |

Reads the page setup from the file `fileName`. Returns a new `PageSetup` object with the restored page setup.

- Available since Gtk+ version 2.12

# Methods

pageSetupCopy

Arguments

:: PageSetupClass self |
=> self |
-> IO PageSetup | returns a copy of `other`

Copies a `PageSetup`.

pageSetupGetTopMargin

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the top margin

Gets the top margin in units of `unit`.

pageSetupSetTopMargin

Arguments

:: PageSetupClass self |
=> self |
-> Double | `margin` - the new top margin in units of `unit`
-> Unit | `unit` - the units for `margin`
-> IO () |

Sets the top margin of the `PageSetup`.

pageSetupGetBottomMargin

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the bottom margin

Gets the bottom margin in units of `unit`.

pageSetupSetBottomMargin

Arguments

:: PageSetupClass self |
=> self |
-> Double | `margin` - the new bottom margin in units of `unit`
-> Unit | `unit` - the units for `margin`
-> IO () |

Sets the bottom margin of the `PageSetup`.

pageSetupGetLeftMargin

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the left margin

Gets the left margin in units of `unit`.

pageSetupSetLeftMargin

Arguments

:: PageSetupClass self |
=> self |
-> Double | `margin` - the new left margin in units of `unit`
-> Unit | `unit` - the units for `margin`
-> IO () |

Sets the left margin of the `PageSetup`.

pageSetupGetRightMargin

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the right margin

Gets the right margin in units of `unit`.

pageSetupSetRightMargin

Arguments

:: PageSetupClass self |
=> self |
-> Double | `margin` - the new right margin in units of `unit`
-> Unit | `unit` - the units for `margin`
-> IO () |

Sets the right margin of the `PageSetup`.

pageSetupSetPaperSizeAndDefaultMargins

Arguments

:: PageSetupClass self |
=> self |
-> PaperSize | `size` - a `PaperSize`
-> IO () |

Sets the paper size of the `PageSetup` and modifies the margins according to the new paper size.

pageSetupGetPaperWidth

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the paper width.

Returns the paper width in units of `unit`.

Note that this function takes orientation, but not margins into consideration. See `pageSetupGetPageWidth`.

pageSetupGetPaperHeight

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the paper height.

Returns the paper height in units of `unit`.

Note that this function takes orientation, but not margins into consideration. See `pageSetupGetPageHeight`.

pageSetupGetPageWidth

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the page width.

Returns the page width in units of `unit`.

Note that this function takes orientation and margins into consideration. See `pageSetupGetPaperWidth`.

pageSetupGetPageHeight

Arguments

:: PageSetupClass self |
=> self |
-> Unit | `unit` - the unit for the return value
-> IO Double | returns the page height.

Returns the page height in units of `unit`.

Note that this function takes orientation and margins into consideration. See `pageSetupGetPaperHeight`.

pageSetupLoadFile

Arguments

:: PageSetupClass self |
=> self |
-> String | `fileName` - the filename to read the page setup from
-> IO Bool | returns `True` on success

Reads the page setup from the file `fileName`. See `pageSetupToFile`.

- Available since Gtk+ version 2.14

pageSetupToFile

Arguments

:: PageSetupClass self |
=> self |
-> String | `fileName` - the file to save to
-> IO Bool | returns `True` on success

This function saves the information from `setup` to `fileName`.

- Available since Gtk+ version 2.12

# Attributes

pageSetupOrientation :: PageSetupClass self => Attr self PageOrientation

The page orientation of the `PageSetup`.

pageSetupPaperSize :: PageSetupClass self => Attr self PaperSize

The paper size of the `PageSetup`.